antix-installer 24.02.13: missing dependency

Forum Forums antiX-development Development antix-installer 24.02.13: missing dependency

  • This topic has 7 replies, 4 voices, and was last updated Apr 19-4:29 pm by anticapitalista.
Viewing 8 posts - 1 through 8 (of 8 total)
  • Author
    Posts
  • #139763
    Member
    techore

      smartmontools gsmartcontrol is missing from the dependency list for antix-installer package.

      In the absence of smartmontools package, minstall does not fault out but it will erroneously report the target installation disk as failing then prompts the user to abort or continue.

      • This topic was modified 1 month, 1 week ago by techore.
      #139781
      Forum Admin
      rokytnji

        Just curious. Readouts from my full 64bit iso runit 23.1 install.

        $ sudo apt-cache depends antix-installer
        [sudo] password for harry: 
        antix-installer
          Depends: antix-libs
          Depends: dosfstools
          Depends: efivar
            efivar:i386
          Depends: efibootmgr
            efibootmgr:i386
          Depends: libzxcvbn0
          Depends: gdisk
          Depends: grub-efi-amd64-bin
            grub-efi-amd64-bin:i386
          Depends: grub-efi-ia32-bin
            grub-efi-ia32-bin:i386
          Depends: gazelle-installer-data-antix
          Depends: os-prober
          Depends: parted
            parted:i386
          Depends: system-keyboard-qt
          Depends: libc6
          Depends: libgcc-s1
          Depends: libqt5core5a
         |Depends: libqt5gui5
          Depends: libqt5gui5-gles
          Depends: libqt5widgets5
          Depends: libstdc++6
         |Recommends: gparted
          Recommends: partitionmanager
          Recommends: cryptsetup
            cryptsetup:i386
        harry@antiX-23.1:~
        $ 
        
        harry@antiX-23.1:~
        $ apt search gsmartcontrol
        Sorting... Done
        Full Text Search... Done
        gsmartcontrol/stable 1.1.4-1 amd64
          graphical user interface for smartctl
        
        harry@antiX-23.1:~
        $ sudo apt-cache depends gsmartcontrol
        gsmartcontrol
          Depends: libatkmm-1.6-1v5
          Depends: libc6
          Depends: libcairo2
          Depends: libcairomm-1.0-1v5
          Depends: libgcc-s1
          Depends: libglib2.0-0
          Depends: libglibmm-2.4-1v5
          Depends: libgtk-3-0
          Depends: libgtkmm-3.0-1v5
          Depends: libpangomm-1.4-1v5
          Depends: libpcrecpp0v5
          Depends: libsigc++-2.0-0v5
          Depends: libstdc++6
          Depends: smartmontools
        

        Like I said. Just curious.

        Sometimes I drive a crooked road to get my mind straight.
        I don't suffer from insanity. I enjoy every minute off it.
        Motorcycle racing is rocket science.

        Linux Registered User # 475019
        How to Search for AntiX solutions to your problems

        #139787
        Member
        techore

          @rokytnji, that was helpful.

          The minstall warning references gsmartcontrol but looking at your list of gsmartcontrol deps, smartmontools looked like the more likely candidate. I pulled another laptop, minstall, reproduce the warning, installed only smartmontools, restarted minstall, and the installation completed without the warning.

          The missing dependency is smartmontools not gsmartcontrol.

          Since minstall references the use of gsmartcontrol in the warning, perhaps it should be a recommend? Just a thought.

          Updated the original post to reflect the correct package.

          #139789
          Moderator
          christophe

            I’m glad you point this out. I recently installed onto a (used) SSD & got that warning.

            confirmed antiX frugaler, since 2019

            #139790
            Member
            techore

              Welcome! 🙂

              On the first occurence, I slapped a sticker on the laptop with “bad ssd.” After a couple more laptops exhibited the same symptom, I knew something hinky was going on. Glad it turned out to be something minor.

              #139877
              Forum Admin
              anticapitalista

                smartmontools is included on core, base and full editions (or at least it should be)

                Philosophers have interpreted the world in many ways; the point is to change it.

                antiX with runit - leaner and meaner.

                #139878
                Member
                techore

                  Agreed. I am building using Net. I was calling it out for it is a dependency and not listed in the control/depends.

                  I am trying to be helpful. Not a complaint.

                  • This reply was modified 1 month, 1 week ago by techore.
                  #139881
                  Forum Admin
                  anticapitalista

                    I know and I have added it to the installer control file for next iteration

                    Philosophers have interpreted the world in many ways; the point is to change it.

                    antiX with runit - leaner and meaner.

                  Viewing 8 posts - 1 through 8 (of 8 total)
                  • You must be logged in to reply to this topic.